imgViewer
=========

imgViewer is a jQuery plugin that allows an image to be zoomed and panned. Zooming and panning works on desktop browsers using the mousewheel to zoom in and out left mouse button click and drag to  pan around. On touch enabled devices pinch gestures can be used to zoom in and out and tap and drag to pan around. 

It is an easily extended, responsive UI component based on the jQuery widget factory and uses [Hammer.js](http://hammerjs.github.io/) for touch event support. It should work on all browsers and platforms supported by [Hammer.js](http://hammerjs.github.io/).

If you don't find this plugin has what you need check out my [imgViewer2](https://github.com/waynegm/imgViewer2) plugin which provides the same functionality but uses the [Leaflet](http://leafletjs.com/index.html) mapping library for the underlying image display.

## Examples
1. [Fixed size image](http://waynegm.github.io/imgViewer/fixed_image_size.html)
2. [Dynamic image size](http://waynegm.github.io/imgViewer/dynamic_image_size.html)
3. [Decorated, dynamic image size](http://waynegm.github.io/imgViewer/dynamic_decorated_image.html)
4. [Custom onClick callback](http://waynegm.github.io/imgViewer/custom_onclick_callback.html)
5. [Control options](http://waynegm.github.io/imgViewer/control_options.html)
6. [Multiple viewer](http://waynegm.github.io/imgViewer/multiple_viewers.html)

## Documentation
1.  [Using the plugin](plugindocs/usage.md)
2.  [Plugin options](plugindocs/options.adoc)
3.  [Plugin methods](plugindocs/methods.adoc)
4.  [Extending the plugin](plugindocs/extending.md)
5.  [Release History](releases.md)

## License

This plugin is provided under the [MIT License](http://opensource.org/licenses/MIT). 
Copyright (c) 2017 Wayne Mogg.





